# (daviddavid) to fix (mga#25061):
#module_load: libcamelews-priv.so: cannot open shared object file: No such file or directory
#Failed to load module: /usr/lib64/evolution/modules/module-ews-configuration.so
%define _cmake_skip_rpath %nil

%define	evolution_base_version	%(echo %{version} | awk -F. '{print $1"."$2 + $2 % 2}')
%define	api	1.2
%define	major	0

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Exchange Connector for Evolution, compatible with Exchange 2007 and later
Name:		evolution-ews
Version:	3.54.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/Mail
Url:		https://wiki.gnome.org/Apps/Evolution/EWS
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	intltool
BuildRequires:	pkgconfig(camel-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-shell-3.0) >= %{version}
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libebackend-1.2) >= %{version}
BuildRequires:	pkgconfig(libecal-2.0)
BuildRequires:	pkgconfig(libedata-book-1.2) >= %{version}
BuildRequires:	pkgconfig(libedata-cal-2.0)
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{version}
BuildRequires:	pkgconfig(libemail-engine) >= %{version}
BuildRequires:	pkgconfig(libsoup-3.0) >= 3.1.1
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(libmspack)
BuildRequires:	gnome-common
Requires:	evolution >= %{version}

%description
The EWS Exchange Connector for Evolution provides a Exchange backend
from evolution-data-server as well as plugins for Evolution to access
Exchange features.

The EWS Exchange Connector is using the Exchange Web Services interface
and is therefore compatible with Exchange 2007 and later.

Provides exchange connectivity for exchange server 2007 and later using
exchange web services protocol.

%prep
%autosetup -p1 -S gendiff

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS README
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution/modules/module-ews-configuration.so
%{_libdir}/evolution-ews/libevolution-ews.so
%{_libdir}/evolution-ews/libevolution-ews-common.so
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendmicrosoft365.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendmicrosoft365.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.urls
%{_libdir}/evolution-data-server/registry-modules/module-microsoft365-backend.so
%{_libdir}/evolution/modules/module-microsoft365-configuration.so
%{_libdir}/evolution-ews/libevolution-microsoft365.so
%{_libdir}/evolution-ews/libcamelews-priv.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews/windowsZones.xml
%{_metainfodir}/org.gnome.Evolution-ews.metainfo.xml


%changelog
* Thu Sep 19 2024 daviddavid <daviddavid> 3.54.0-1.mga10
+ Revision: 2098772
- new version 3.54.0

* Wed Jul 17 2024 pterjan <pterjan> 3.52.2-2.mga10
+ Revision: 2081899
- Drop unused BuildRequires on libgtkhtml-4.0

* Sun Jun 02 2024 daviddavid <daviddavid> 3.52.2-1.mga10
+ Revision: 2069241
- new version 3.52.2

* Tue Mar 19 2024 daviddavid <daviddavid> 3.52.0-1.mga10
+ Revision: 2050733
- new version 3.52.0

* Thu Dec 07 2023 daviddavid <daviddavid> 3.50.2-1.mga10
+ Revision: 2014198
- new version 3.50.2

* Wed Sep 27 2023 tv <tv> 3.50.0-1.mga10
+ Revision: 1991356
- Update to 3.50.0

* Sat Jun 03 2023 daviddavid <daviddavid> 3.48.2-1.mga9
+ Revision: 1960813
- new version 3.48.2

* Mon Apr 24 2023 neoclust <neoclust> 3.48.1-1.mga9
+ Revision: 1954740
- New version 3.48.1

* Mon Feb 20 2023 daviddavid <daviddavid> 3.46.4-1.mga9
+ Revision: 1944390
- new version 3.46.4

* Sat Jan 07 2023 daviddavid <daviddavid> 3.46.3-1.mga9
+ Revision: 1930860
- new version 3.46.3

* Tue Dec 13 2022 tv <tv> 3.46.2-1.mga9
+ Revision: 1921672
- 3.46.2
+ ovitters <ovitters>
- new version 3.46.1

* Mon Sep 19 2022 tv <tv> 3.46.0-1.mga9
+ Revision: 1890277
- Update to 3.46.0

* Thu May 12 2022 tv <tv> 3.44.1-2.mga9
+ Revision: 1857751
- Limit linking of gtk+ in shared libraries, thus fixing gtk+3 vs gtk4 in some apps (rhbz#2083947)

* Fri Apr 22 2022 ovitters <ovitters> 3.44.1-1.mga9
+ Revision: 1852579
- new version 3.44.1

* Sat Mar 19 2022 tv <tv> 3.44.0-1.mga9
+ Revision: 1800409
- Update to 3.44.0

* Tue Mar 15 2022 tv <tv> 3.43.3-1.mga9
+ Revision: 1793944
- Update to 3.43.3

* Fri Feb 11 2022 ovitters <ovitters> 3.42.4-1.mga9
+ Revision: 1772912
- new version 3.42.4

* Mon Jan 10 2022 tv <tv> 3.42.1-1.mga9
+ Revision: 1767584
- 3.42.1
+ ovitters <ovitters>
- new version 3.40.4
- new version 3.40.3
- new version 3.40.2
- new version 3.40.1

* Sat Mar 27 2021 ovitters <ovitters> 3.40.0-1.mga9
+ Revision: 1711066
- new version 3.40.0
- new version 3.38.4

* Sat Jan 23 2021 tmb <tmb> 3.38.3-2.mga8
+ Revision: 1673105
- rebuild for new libical

* Fri Jan 08 2021 ovitters <ovitters> 3.38.3-1.mga8
+ Revision: 1669767
- new version 3.38.3

* Fri Nov 20 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1647890
- new version 3.38.2

* Fri Oct 02 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1631576
- new version 3.38.1

* Fri Sep 11 2020 tv <tv> 3.38.0-1.mga8
+ Revision: 1624465
- use %%autosetup
+ ovitters <ovitters>
- new version 3.38.0

* Fri Sep 04 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1621544
- new version 3.37.92

* Thu Aug 13 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1613857
- support for microsoft365 was added
- new version 3.37.90
- new version 3.36.5

* Fri Jul 03 2020 ovitters <ovitters> 3.36.4-1.mga8
+ Revision: 1601563
- new version 3.36.4

* Fri May 29 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1588844
- new version 3.36.3

* Fri Apr 24 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571587
- new version 3.36.2

* Fri Mar 27 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1560992
- new version 3.36.1

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554329
- new version 3.36.0

* Fri Feb 28 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1551391
- new version 3.35.92

* Mon Feb 24 2020 tv <tv> 3.35.91-1.mga8
+ Revision: 1549834
- 3.35.91
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ ovitters <ovitters>
- new version 3.34.4

* Fri Jan 03 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1475822
- new version 3.34.3
+ wally <wally>
- build with new cmake macros

* Tue Nov 26 2019 daviddavid <daviddavid> 3.34.2-2.mga8
+ Revision: 1462887
- enable rpath (fixes load errors with evolution-ews's private shared libraries) (mga#25061)

* Fri Nov 22 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1462087
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450115
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438794
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436249
- new version 3.33.92

* Mon Aug 19 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1430023
- new version 3.33.91

* Thu Aug 08 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1428192
- new release

* Thu May 09 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1396908
- new version 3.32.2

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1386794
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373941
- new version 3.32.0

* Sun Mar 10 2019 daviddavid <daviddavid> 3.31.91-2.mga7
+ Revision: 1373678
- switch to webkit2gtk-4.0

* Sun Mar 10 2019 daviddavid <daviddavid> 3.31.91-1.mga7
+ Revision: 1373479
- new version 3.31.91

* Mon Feb 04 2019 ovitters <ovitters> 3.30.5-1.mga7
+ Revision: 1363057
- new version 3.30.5

* Mon Dec 10 2018 ovitters <ovitters> 3.30.3-1.mga7
+ Revision: 1339670
- new version 3.30.3
- new version 3.30.2

* Mon Sep 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303400
- new version 3.30.1

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257027
- new version 3.30.0

* Mon Jul 30 2018 ovitters <ovitters> 3.28.5-1.mga7
+ Revision: 1246000
- new version 3.28.5
- new version 3.28.4
- new version 3.28.3

* Mon May 07 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1226977
- new version 3.28.2

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216494
- new version 3.28.1
+ kekepower <kekepower>
- Rebuild for new libical

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208279
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206669
- new version 3.27.92

* Wed Feb 21 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1204035
- new version 3.27.91

* Mon Feb 05 2018 ovitters <ovitters> 3.26.5-1.mga7
+ Revision: 1198972
- new version 3.26.5

* Mon Jan 08 2018 ovitters <ovitters> 3.26.4-1.mga7
+ Revision: 1191508
- new version 3.26.4

* Mon Dec 11 2017 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1182191
- new version 3.26.3
- new version 3.26.2

* Wed Oct 04 2017 tv <tv> 3.26.1-1.mga7
+ Revision: 1168879
- new release

* Mon Mar 13 2017 ovitters <ovitters> 3.22.6-1.mga6
+ Revision: 1092319
- new version 3.22.6

* Mon Feb 13 2017 ovitters <ovitters> 3.22.5-1.mga6
+ Revision: 1085950
- new version 3.22.5
- new version 3.22.4
- new version 3.22.3
- new version 3.22.2

* Tue Oct 11 2016 pterjan <pterjan> 3.22.1-3.mga6
+ Revision: 1060217
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Tue Oct 11 2016 pterjan <pterjan> 3.22.1-2.mga6
+ Revision: 1060184
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059916
- new version 3.22.1
- dropped merged patch 2
- dropped merged patch 1

* Sat Oct 08 2016 wally <wally> 3.22.0-2.mga6
+ Revision: 1059691
- add patch from upstream to properly fix underlinking (bgo#771931)
- add patch from upstream to workaround Exchange 2016 returning broken MIME content (bgo#771370)

* Fri Oct 07 2016 tv <tv> 3.22.0-1.mga6
+ Revision: 1059385
- "fix" underlinking
+ ovitters <ovitters>
- new version 3.22.0

* Tue Jul 12 2016 tmb <tmb> 3.20.4-1.mga6
+ Revision: 1041220
- update to 3.20.4

* Sun Jun 12 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1021270
- new version 3.20.3

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011182
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000229
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993485
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990442
- new version 3.19.92

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980750
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961010
- new version 3.19.90

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927281
- rebuild for libical
+ ovitters <ovitters>
- new version 3.19.4

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910355
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905269
- new version 3.19.2

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899703
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889880
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882942
- new release
+ ovitters <ovitters>
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871442
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866948
- new version 3.17.90

* Mon Aug 10 2015 ovitters <ovitters> 3.16.5-1.mga6
+ Revision: 862417
- new version 3.16.5
- new version 3.16.4
- dropped merged patch 1

* Thu Jun 25 2015 fwang <fwang> 3.16.3-1.mga6
+ Revision: 842832
- fix localedir
+ ovitters <ovitters>
- new version 3.16.3
- new version 3.15.92

* Mon Feb 16 2015 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 815027
- new version 3.13.90

* Sat Feb 07 2015 oden <oden> 3.13.10-2.mga5
+ Revision: 813888
- build against system libmspack

* Mon Jan 26 2015 ovitters <ovitters> 3.13.10-1.mga5
+ Revision: 812274
- new version 3.13.10

* Wed Dec 24 2014 ovitters <ovitters> 3.13.9-1.mga5
+ Revision: 805435
- new version 3.13.9
- new version 3.13.8

* Wed Oct 15 2014 umeabot <umeabot> 3.13.6-2.mga5
+ Revision: 743501
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 ovitters <ovitters> 3.13.6-1.mga5
+ Revision: 733825
- new version 3.13.6
- new version 3.13.5
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon Jul 28 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 657707
- new version 3.13.4
- automatically determine evolution-data-server version

* Tue Jun 24 2014 barjac <barjac> 3.13.3-1.mga5
+ Revision: 639331
- br libgtkhtml-4.0
+ ovitters <ovitters>
- update url
- new version 3.13.3
- dropped merged patch 1

* Wed May 28 2014 fwang <fwang> 3.13.2-1.mga5
+ Revision: 627180
- update base ver
- build as module
- update br
+ ovitters <ovitters>
- new version 3.13.2
- new version 3.12.2
- new version 3.12.1
- new version 3.12.0
- new version 3.11.92
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593717
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583997
- new version 3.11.5

* Tue Feb 04 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 582704
- new version 3.10.3

* Sun Nov 10 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550402
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541713
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 496279
- new version 3.10.1

* Sat Sep 21 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 482970
- new version 3.10.0

* Sun Sep 15 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 479888
- new version 3.9.92

* Sun Sep 01 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474012
- new version 3.9.91

* Sun Aug 18 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 467468
- update br
+ ovitters <ovitters>
- new version 3.9.90

* Sun Jul 28 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 459833
- new version 3.9.5

* Sat Jul 27 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 459014
- new version 3.9.4

* Wed Jul 24 2013 fwang <fwang> 3.8.4-2.mga4
+ Revision: 457654
- requires evo

* Wed Jul 24 2013 fwang <fwang> 3.8.4-1.mga4
+ Revision: 457649
- lzx becomes static lib
- use internal lzx
+ ovitters <ovitters>
- new version 3.8.4

* Sat Jun 08 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440689
- new version 3.8.3

* Sun Jun 02 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 434373
- rebuild for new ical

* Sun May 26 2013 fwang <fwang> 3.8.2-1.mga4
+ Revision: 427843
- update file list
- update file list
- update file list
- new version 3.8.2

* Mon Jan 21 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 390600
- new version 3.6.3

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 349805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317027
- new version 3.6.1

* Sat Sep 22 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 296725
- new version 3.6.0

* Sun Sep 16 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 294454
- new version 3.5.92

* Sat Sep 01 2012 fwang <fwang> 3.5.91-1.mga3
+ Revision: 287032
- update file list
- update file list
- update file list
- new version 3.5.91
+ ovitters <ovitters>
- new version 3.5.5
- clean spec
- Import from Mandriva


* Tue Jun 19 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.3-1
+ Revision: 806235
- imported package evolution-ews

